For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList associated persons
      • POSTCreate an associated person
      • GETRetrieve an associated person
      • PUTUpdate an associated person
      • DELDelete an associated person
    • API Errors
Get access
LogoLogo
API ReferenceAssociated Persons

Retrieve an associated person

GET
/employees/:employee_id/associated_persons/:associated_person_id
GET
/employees/:employee_id/associated_persons/:associated_person_id
$curl https://test.api.kota.io/employees/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a/associated_persons/ap_3b1333d87d9d4fd6ad83ba7f6b0e951a \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "ap_9f8b7c6d5e4f3a2b1c0d9e8f7a6b5c4d",
3 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
4 "first_name": "Emily",
5 "last_name": "Johnson",
6 "date_of_birth": "1985-07-23",
7 "sex_at_birth": "female",
8 "relationship_type": "spouse",
9 "platform_id": "pt_1a2b3c4d5e6f7g8h9i0jklmnopqrstuv",
10 "object": "associated_person"
11}
Retrieves an associated person object.
Previous

Create an associated person

Next

Update an associated person

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"
associated_person_idstringRequiredformat: "ap_.+"

Response

OK
idstringformat: "ap_.+"
Unique identifier for the associated person
employee_idstringformat: "ee_.+"
Unique identifier for the employee this person is associated with
first_namestring
First name of the associated person
last_namestring
Last name of the associated person
date_of_birthdate
Date of birth of the associated person
sex_at_birthenum
The sex assigned to the associated person at birth
Allowed values:
relationship_typeenum
The relationship type between the employee and the associated person
Allowed values:
platform_idstringformat: "pt_.+"
Unique identifier for the platform
emailstring or null
Email address of the associated person
phone_numberstring or null

Phone number in E.164 international format (e.g. +447700900999)

objectstringRead-only
The object type

Errors

404
Not Found Error